// java wrapper for vtkCookieCutter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCookieCutter.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkPolyDataAlgorithm_Typecast(void* op,char* dType);

extern "C" JNIEXPORT void* vtkCookieCutter_Typecast(void* me,char* dType)
{
  void* res;
  if (!strcmp("vtkCookieCutter",dType)) { return me; }
  if ((res= vtkPolyDataAlgorithm_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCookieCutter_IsTypeOf_10(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  int   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkCookieCutter* op = static_cast<vtkCookieCutter*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkCookieCutter_IsA_11(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  int   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkCookieCutter* op = static_cast<vtkCookieCutter*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->IsA(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCookieCutter_GetNumberOfGenerationsFromBaseType_12(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  long long   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkCookieCutter* op = static_cast<vtkCookieCutter*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCookieCutter_GetNumberOfGenerationsFromBase_13(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  long long   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkCookieCutter* op = static_cast<vtkCookieCutter*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCookieCutter_SetLoopsConnection_14(JNIEnv* env, jobject obj,jobject id0)
{
  vtkAlgorithmOutput * temp0;
  temp0 = static_cast<vtkAlgorithmOutput*>(vtkJavaGetPointerFromObject(env, id0));

  vtkCookieCutter* op = static_cast<vtkCookieCutter*>(vtkJavaGetPointerFromObject(env, obj));
  op->SetLoopsConnection(temp0);

}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCookieCutter_GetLoopsConnection_15(JNIEnv* env, jobject obj)
{
  vtkAlgorithmOutput * temp20;

  vtkCookieCutter* op = static_cast<vtkCookieCutter*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetLoopsConnection();
  return reinterpret_cast<jlong>(temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCookieCutter_SetLoopsData_16(JNIEnv* env, jobject obj,jobject id0)
{
  vtkDataObject * temp0;
  temp0 = static_cast<vtkDataObject*>(vtkJavaGetPointerFromObject(env, id0));

  vtkCookieCutter* op = static_cast<vtkCookieCutter*>(vtkJavaGetPointerFromObject(env, obj));
  op->SetLoopsData(temp0);

}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCookieCutter_GetLoops_17(JNIEnv* env, jobject obj)
{
  vtkDataObject * temp20;

  vtkCookieCutter* op = static_cast<vtkCookieCutter*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetLoops();
  return reinterpret_cast<jlong>(temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCookieCutter_SetLocator_18(JNIEnv* env, jobject obj,jobject id0)
{
  vtkIncrementalPointLocator * temp0;
  temp0 = static_cast<vtkIncrementalPointLocator*>(vtkJavaGetPointerFromObject(env, id0));

  vtkCookieCutter* op = static_cast<vtkCookieCutter*>(vtkJavaGetPointerFromObject(env, obj));
  op->SetLocator(temp0);

}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkCookieCutter_GetLocator_19(JNIEnv* env, jobject obj)
{
  vtkIncrementalPointLocator * temp20;

  vtkCookieCutter* op = static_cast<vtkCookieCutter*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetLocator();
  return reinterpret_cast<jlong>(temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkCookieCutter_CreateDefaultLocator_110(JNIEnv* env, jobject obj)
{

  vtkCookieCutter* op = static_cast<vtkCookieCutter*>(vtkJavaGetPointerFromObject(env, obj));
  op->CreateDefaultLocator();

}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkCookieCutter_VTKInit(JNIEnv*, jobject)
{
  return reinterpret_cast<jlong>(vtkCookieCutter::New());
}
