// java wrapper for vtkMPIMultiBlockPLOT3DReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMPIMultiBlockPLOT3DReader.h"
#include "vtkJavaUtil.h"

#include "vtkStdString.h"

#include <sstream>
extern "C" JNIEXPORT void* vtkMultiBlockPLOT3DReader_Typecast(void* op,char* dType);

extern "C" JNIEXPORT void* vtkMPIMultiBlockPLOT3DReader_Typecast(void* me,char* dType)
{
  void* res;
  if (!strcmp("vtkMPIMultiBlockPLOT3DReader",dType)) { return me; }
  if ((res= vtkMultiBlockPLOT3DReader_Typecast(me,dType)) != nullptr) { return res; }
  return nullptr;
}


extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMPIMultiBlockPLOT3DReader_IsTypeOf_10(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  int   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkMPIMultiBlockPLOT3DReader* op = static_cast<vtkMPIMultiBlockPLOT3DReader*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->IsTypeOf(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkMPIMultiBlockPLOT3DReader_IsA_11(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  int   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkMPIMultiBlockPLOT3DReader* op = static_cast<vtkMPIMultiBlockPLOT3DReader*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->IsA(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMPIMultiBlockPLOT3DReader_GetNumberOfGenerationsFromBaseType_12(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  long long   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkMPIMultiBlockPLOT3DReader* op = static_cast<vtkMPIMultiBlockPLOT3DReader*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetNumberOfGenerationsFromBaseType(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkMPIMultiBlockPLOT3DReader_GetNumberOfGenerationsFromBase_13(JNIEnv* env, jobject obj, jbyteArray id0, jint len0)
{
  char * temp0;
  long long   temp20;
  temp0 = vtkJavaUTF8ToChars(env, id0, len0);

  vtkMPIMultiBlockPLOT3DReader* op = static_cast<vtkMPIMultiBlockPLOT3DReader*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetNumberOfGenerationsFromBase(temp0);
  delete[] temp0;
  return temp20;

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMPIMultiBlockPLOT3DReader_SetUseMPIIO_14(JNIEnv* env, jobject obj,jboolean id0)
{
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  vtkMPIMultiBlockPLOT3DReader* op = static_cast<vtkMPIMultiBlockPLOT3DReader*>(vtkJavaGetPointerFromObject(env, obj));
  op->SetUseMPIIO(temp0);

}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkMPIMultiBlockPLOT3DReader_GetUseMPIIO_15(JNIEnv* env, jobject obj)
{
  bool   temp20;

  vtkMPIMultiBlockPLOT3DReader* op = static_cast<vtkMPIMultiBlockPLOT3DReader*>(vtkJavaGetPointerFromObject(env, obj));
  temp20 = op->GetUseMPIIO();
  return temp20;

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMPIMultiBlockPLOT3DReader_UseMPIIOOn_16(JNIEnv* env, jobject obj)
{

  vtkMPIMultiBlockPLOT3DReader* op = static_cast<vtkMPIMultiBlockPLOT3DReader*>(vtkJavaGetPointerFromObject(env, obj));
  op->UseMPIIOOn();

}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkMPIMultiBlockPLOT3DReader_UseMPIIOOff_17(JNIEnv* env, jobject obj)
{

  vtkMPIMultiBlockPLOT3DReader* op = static_cast<vtkMPIMultiBlockPLOT3DReader*>(vtkJavaGetPointerFromObject(env, obj));
  op->UseMPIIOOff();

}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkMPIMultiBlockPLOT3DReader_VTKInit(JNIEnv*, jobject)
{
  return reinterpret_cast<jlong>(vtkMPIMultiBlockPLOT3DReader::New());
}
